# IRPIPE

Section: User Commands (1)

Updated: Last change: Aug 2015

Index Return to Main Contents

## NAME

irpipe - tool to send data to lircd over /dev/irpipe kernel device.

## SYNOPSIS

irpipe [options] <file

irpipe --read [options] >file

irpipe --filter [options] <infile >outfile

## DESCRIPTION

irpipe is designed to feed data to lircd(8) over a /dev/irpipe device. It's a tool to enter test data to lircd in a way which is identical to real data from /dev/lirc devices.

irpipe uses two formats: text and binary. The binary format is documented in the mode2(1).

The irpipe driver allows user to set the features returned by the LIRC_GET_FEATURES ioctl. These are documented in lirc(4).

The irpipe kernel device is often not built in packaged lirc versions. See [KERNEL DRIVER] below.

## OPTIONS

-d --device=driver
  Set kernel device, default is /dev/irpipe0.
-b --bin2text
  Convert binary data to text.
-t --text2bin
  Convert text data to binary.
-s --add-sync
  Add long initial sync on converted output. This is often required for lircd to be able to decode data, in particular if keys are not repeated.
-f --filter
  Send data from stdin to stdout
-r --read
  Send data from kernel device to stdout. This option is experimental and not tested.
-l--length=bits
  Set kernel device signal length. This is only meaningful on LIRCCODE device emulation.
-F--features=bitmask
  Set the features bitmask, as returned by the LIRC_GET_FEATURES ioctl. See lirc(4) for more.
-h --help
  Display usage summary.
-v --version
  Display version.

## KERNEL DRIVER

The irpipe tool is designed to work with the irpipe kernel driver, although the --filter option works without it. This driver is often not built in packaged versions. If this is the case, the driver can be built from sources in the drivers/irpipe directory. This requires kernel sources installed. The drivers/irpipe/README provides information on building and installing the driver.

## SEE ALSO

lircd(8)
lirc(4)

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
KERNEL DRIVER
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 16:33:12 GMT, October 14, 2015